<?php
ini_set('memory_limit', '256M');
set_time_limit(950);
//No hacemos nada si no está  todo correcto
if ($todo_correcto){
	//Una de las cosas que necesitamos es la clase de catálogos
	include_once("../comunes/clases/super/SuperCatalogo.php");
	include_once("../comunes/clases/Catalogo.php");
?>
		<script src="<?=Shop::$configuracion->url;?>admin/js/dropzone.js"></script>
		<script src="<?=Shop::$configuracion->url;?>base/js/customAjax.js"></script>
<?php
    //include("comunes/cabecera.php");
?>     
    <div id="opciones_top">
        <div id="volver"><p><a href="<?=Shop::$configuracion->url;?>admin" class="back_btn"><span>Volver</span></a></p></div>
        <!--<div id="opcion_desconectar">
            <p><span>Desconectar</span><a href="<?=$direccion_empresa;?>index.php?logout=true" class="log_out"></a></p>
        </div>-->
    </div>
<div id="add_imagen">
	<h2 class="titulo"><?=traducir("Ficheros adjuntos");?></h2>
	<p><?=traducir("Lista de ficheros añadídos a la web para ser utilizados");?>.</p>
</div>

<div id="selector_ficheros">
<form action="<?=Shop::$configuracion->url;?>adjuntos/subir_adjunto.php" class="formulario_subidor" enctype="multipart/form-data">
<p>Haga <strong>click aqu&iacute;</strong> o <strong>arrastre</strong> los ficheros que desee subir</p>
</form>
</div>

<script type="text/javascript">
	var lista_formularios = new Array();
</script>

<div id="lista_adjuntos">
<?php
	$adjuntos = array();
	$adjuntos = Catalogo::cargar_lista();
	if (count($adjuntos) > 0){
		$cadenaURL = "";
		foreach($adjuntos as $clave => $valor){
			include("consultas/crearFormularioAdjuntos.php");
		}
	}
?>
</div>
<script type="text/javascript">
	//--------------------------------------------------------------------------------------
	//	Variables de esta magnífica librería
	//--------------------------------------------------------------------------------------
	//Aquí ahora vamos a configurar dropzonejs y a añadir las funciones necesarias
	var subidor = new Dropzone("form.formulario_subidor", {
		paramName: "file", // The name that will be used to transfer the file
		maxFilesize: 128, // MB ==> El día 27/Junio/2016 ampliamos este espacio desde dos megas a 128
		addRemoveLinks: true
		, //maxFiles : 10,
		dictRemoveFile: "Eliminar fichero"
		, dictFileTooBig: "El fichero subido ocupa {{filesize}}Mb, y es demasiado grande. El máximo permitdo es {{maxFilesize}}Mb."
		, uploadMultiple: false
		, parallelUploads: 1
		, accept: function (file, done) {
			var array_file = file.name.split(".");
			var extension = array_file[array_file.length - 1];
			extension = extension.toUpperCase();
			if ((extension == "PHP") || (extension == "ASP") || (extension == "JS") || (extension == "CSS") || (extension == "EXE")) {
				done("<?=traducir("Tipo de fichero no permitido.");?>");
			} else {
				done();
			}
		}
	});

	subidor.on("addedfile", function (file) {});

	subidor.on("removedfile", function (file) {

	});

	subidor.on("success", function (file, response) {
		//Vamos a añadir un elemento:
		var url = '<?=Shop::$configuracion->url;?>admin/consultas/crearFormularioAdjuntos.php';
		var parametros = "codigo=" + response;
		//console.log(response);
		realizar_solicitud(url, parametros, function (resultado) {
			$("#lista_adjuntos").prepend(resultado);
		});
	});

	//Añadimos propiedades extra a la subida de la foto
	subidor.on("sending", function (file, xhr, formData) {});


	//Voy a llamar a esta función cuando se quiera eliminar un elmento:
	function borrar_adjunto(codigo) {
		$("#espera_acciones_" + codigo).show();
		$("#botones_" + codigo).hide();
		if (confirm("<?=traducir("¿Desea eliminar este fichero adjunto?");?>")) {
			var url = '<?=Shop::$configuracion->url;?>admin/consultas/adjuntosBorrar.php';
			var parametros = 'codigo=' + codigo;
			realizar_solicitud(url, parametros, function (respuesta) {
				$('div #elemento_catalogo_' + codigo).remove();

			});
		} else {
			$("#espera_acciones_" + codigo).hide();
			$("#botones_" + codigo).show();
		}
	}
</script>
    </body>
</html>
<?php
}
?>